// This creates a simple hello world window
package main

import (
	"go.wit.com/log"
	"go.wit.com/lib/gadgets"
)

// This initializes the first window, a group and a button
func makebasicWindow() *gadgets.BasicWindow {
	log.Warn("start basicWindow")
	basicWindow = gadgets.NewBasicWindow(myGui, "basic window test")
	basicWindow.Make()
	basicWindow.StandardClose()
	basicWindow.Custom = func () {
		log.Warn("got to close")
	}

	box1 := basicWindow.Box()
	group1 := box1.NewGroup("choices")
	group1.NewButton("hello", func() {})
	// basicWindow.Draw()
	return basicWindow
}
